name: Server issue
description: Report an issue with using a server installed via mason.nvim
labels:
    - server-issue

body:
    - type: markdown
      attributes:
          value: |
              👋! This is not an issue template for questions! If you have questions, please refer to https://github.com/williamboman/mason.nvim/discussions/categories/q-a :)

              Before filing an issue, make sure that you meet the minimum requirements mentioned in the README

    - type: textarea
      attributes:
          label: Problem description
          description: A clear and concise description of what the issue is.
      validations:
          required: true

    - type: textarea
      attributes:
          label: Why do you think this is an issue with mason-lspconfig.nvim?
          description: A short explanation of why you think it's an issue with mason-lspconfig.nvim.
      validations:
          required: true

    - type: textarea
      attributes:
          label: "Neovim version (>= 0.7)"
          description: "Output of `nvim --version`"
          placeholder: |
              NVIM v0.7.0-dev
              Build type: Release
              LuaJIT 2.1.0-beta3
      validations:
          required: true

    - type: input
      attributes:
          label: "Operating system/version"
          description: "On Linux and Mac systems: `$ uname -a`"
      validations:
          required: true

    - type: checkboxes
      attributes:
          label: I've manually reviewed the Nvim LPS client log (`:LspLog`) to find potential errors
          options:
              - label: "Yes"

    - type: checkboxes
      attributes:
          label: I've recently downloaded the latest plugin version of mason.nvim, mason-lspconfig.nvim, and nvim-lspconfig
          options:
              - label: "Yes"

    - type: input
      attributes:
          label: Affected language servers
          description: If this issue is specific to one or more language servers, list them here. If not, write 'all'.
      validations:
          required: true

    - type: textarea
      attributes:
          label: Steps to reproduce
          placeholder: |
              1. ...
              2. ...
              3. Anyone who repeats the steps above should be able to reproduce the final result
      validations:
          required: true

    - type: textarea
      attributes:
          label: Actual behavior
          description: Observed behavior.
      validations:
          required: true

    - type: textarea
      attributes:
          label: Expected behavior
          description: A description of the behavior you expected.
      validations:
          required: true

    - type: textarea
      attributes:
          label: LspInfo
          placeholder: ":LspInfo contents"
          render: Text
      validations:
          required: true

    - type: textarea
      attributes:
          label: LspLog
          placeholder: "Are there any relevant logs in :LspLog? (don't paste its contents here)"
          render: Text
      validations:
          required: false

    - type: textarea
      attributes:
          label: Healthcheck
          placeholder: ":checkhealth mason"
          render: Text
      validations:
          required: true

    - type: textarea
      id: screenshots
      attributes:
          label: Screenshots or recordings
          description: If applicable, add screenshots or recordings to help explain your problem
